Package weka.filters.unsupervised.attribute

# Class MergeTwoValues

java.lang.Object
weka.filters.Filter
weka.filters.unsupervised.attribute.MergeTwoValues

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`, `WeightedAttributesHandler`, `WeightedInstancesHandler`, `StreamableFilter`, `UnsupervisedFilter`

public class MergeTwoValues extends Filter implements UnsupervisedFilter, StreamableFilter, OptionHandler, WeightedAttributesHandler, WeightedInstancesHandler
Merges two values of a nominal attribute into one value.

Valid options are:

     -C <col>
      Sets the attribute index (default last).

     -F <value index>
      Sets the first value's index (default first).

     -S <value index>
      Sets the second value's index (default last).

Version:
  $Revision: 14534 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeTwoValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `attributeIndexTipText()`
  `String`
  `firstValueIndexTipText()`
  `String`
  `getAttributeIndex()`
  Get the index of the attribute used.
  `Capabilities`
  `getCapabilities()`
  Returns the Capabilities of this filter.
  `String`
  `getFirstValueIndex()`
  Get the index of the first value used.
  `String[]`
  `getOptions()`
  Gets the current settings of the filter.
  `String`
  `getRevision()`
  Returns the revision string.
  `String`
  `getSecondValueIndex()`
  Get the index of the second value used.
  `String`
  `globalInfo()`
  Returns a string describing this filter
  `boolean`
  `input(Instance instance)`
  Input an instance for filtering.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `static void`
  `main(String[] argv)`
  Main method for testing this class.
  `String`
  `secondValueIndexTipText()`
  `void`
  `setAttributeIndex(String attIndex)`
  Sets index of the attribute used.
  `void`
  `setFirstValueIndex(String firstIndex)`
  Sets index of the first value used.
  `boolean`
  `setInputFormat(Instances instanceInfo)`
  Sets the format of the input instances.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.
  `void`
  `setSecondValueIndex(String secondIndex)`
  Sets index of the second value used.

  ### Methods inherited from class weka.filters.Filter

  `batchFilterFile, batchFinished, debugTipText, doNotCheckCapabilitiesTipText, filterFile, getCapabilities, getCopyOfInputFormat, getDebug, getDoNotCheckCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, mayRemoveInstanceAfterFirstBatchDone, numPendingOutput, output, outputPeek, postExecution, preExecution, run, runFilter, setDebug, setDoNotCheckCapabilities, toString, useFilter, wekaStaticWrapper`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MergeTwoValues

    public MergeTwoValues()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing this filter
    Returns:
      a description of the filter suitable for displaying in the explorer/experimenter gui

  - ### getCapabilities

    public Capabilities getCapabilities()
    Returns the Capabilities of this filter.
    Specified by:
      `getCapabilities` in interface `CapabilitiesHandler`
    Overrides:
      `getCapabilities` in class `Filter`
    Returns:
      the capabilities of this object
    See Also:
      - `Capabilities`

  - ### setInputFormat

    public boolean setInputFormat(Instances instanceInfo) throws Exception
    Sets the format of the input instances.
    Overrides:
      `setInputFormat` in class `Filter`
    Parameters:
      `instanceInfo` - an Instances object containing the input instance structure (any instances contained in the object are ignored - only the structure is required).
    Returns:
      true if the outputFormat may be collected immediately
    Throws:
      `Exception` - if the input format can't be set successfully

  - ### input

    public boolean input(Instance instance)
    Input an instance for filtering. The instance is processed and made available for output immediately.
    Overrides:
      `input` in class `Filter`
    Parameters:
      `instance` - the input instance
    Returns:
      true if the filtered instance may now be collected with output().
    Throws:
      `IllegalStateException` - if no input format has been set.

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `Filter`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options.

    Valid options are:

         -C <col>
          Sets the attribute index (default last).

         -F <value index>
          Sets the first value's index (default first).

         -S <value index>
          Sets the second value's index (default last).

    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `Filter`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the filter.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `Filter`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### attributeIndexTipText

    public String attributeIndexTipText()
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### getAttributeIndex

    public String getAttributeIndex()
    Get the index of the attribute used.
    Returns:
      the index of the attribute

  - ### setAttributeIndex

    public void setAttributeIndex(String attIndex)
    Sets index of the attribute used.
    Parameters:
      `attIndex` - the index of the attribute

  - ### firstValueIndexTipText

    public String firstValueIndexTipText()
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### getFirstValueIndex

    public String getFirstValueIndex()
    Get the index of the first value used.
    Returns:
      the index of the first value

  - ### setFirstValueIndex

    public void setFirstValueIndex(String firstIndex)
    Sets index of the first value used.
    Parameters:
      `firstIndex` - the index of the first value

  - ### secondValueIndexTipText

    public String secondValueIndexTipText()
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### getSecondValueIndex

    public String getSecondValueIndex()
    Get the index of the second value used.
    Returns:
      the index of the second value

  - ### setSecondValueIndex

    public void setSecondValueIndex(String secondIndex)
    Sets index of the second value used.
    Parameters:
      `secondIndex` - the index of the second value

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Overrides:
      `getRevision` in class `Filter`
    Returns:
      the revision

  - ### main

    public static void main(String[] argv)
    Main method for testing this class.
    Parameters:
      `argv` - should contain arguments to the filter: use -h for help